#include <stdio.h>

int main(void){
    int guess = 1,ext = 1;
    int x = 50, max = 100, min = 0;
    printf("Загадайте число 0 - 100, я буду его отгадывать\n");
    printf("Вы должны сказать, это число меньше, больше или это оно\n");
    printf("За ответ принимается только l(Меньше) b(Больше) y(Оно)\n");
    
    while(ext != 0){
        printf("Это число %d?\n",x);
        ext = getchar();
        while(getchar()!='\n')
            continue;
    
        switch(ext){
            case 'l':
                max = x - 1;
                x = (max+min)/2;
                guess++;
                break;

            case 'b':
                min = x + 1;
                x = (max+min)/2;
                guess++;
                break;

            case 'y':ext = 0;break;
        }
        if(x<0||x>100){
            printf("Вы загадали число за пределами ожиданий!\n");
            ext=0;
            break;
        }
    }
    if(x>=0&&x<=100)
    printf("Загаданное число - %d\t Число угадываний - %d",x,guess);
    return 0;
}
